com.google.cloud.dataflow.sdk.runners

## Class DataflowPipeline

- java.lang.Object
- - com.google.cloud.dataflow.sdk.Pipeline
  - - com.google.cloud.dataflow.sdk.runners.DataflowPipeline

    public class DataflowPipeline
    extends Pipeline

A `DataflowPipeline` is a `Pipeline` that returns a `DataflowPipelineJob` when it is `Pipeline.run()`.

This is not intended for use by users of Cloud Dataflow. Instead, use `Pipeline.create(PipelineOptions)` to initialize a `Pipeline`.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.cloud.dataflow.sdk.Pipeline

`Pipeline.PipelineExecutionException, Pipeline.PipelineVisitor`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DataflowPipeline` `create(DataflowPipelineOptions options)` Creates and returns a new `DataflowPipeline` instance for tests.
`DataflowPipelineRunner` `getRunner()` Returns the configured `PipelineRunner`.
`DataflowPipelineJob` `run()` Runs the `Pipeline` using its `PipelineRunner`.
`String` `toString()`

### Methods inherited from class com.google.cloud.dataflow.sdk.Pipeline

`addValueInternal, apply, apply, applyTransform, applyTransform, begin, create, getCoderRegistry, getFullNameForTesting, getOptions, setCoderRegistry, traverseTopologically`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### create

    public static DataflowPipeline create(DataflowPipelineOptions options)

Creates and returns a new `DataflowPipeline` instance for tests.

#### run

    public DataflowPipelineJob run()

Description copied from class: `Pipeline`
Runs the `Pipeline` using its `PipelineRunner`.

Overrides:
  `run` in class `Pipeline`

#### getRunner

    public DataflowPipelineRunner getRunner()

Description copied from class: `Pipeline`
Returns the configured `PipelineRunner`.

Overrides:
  `getRunner` in class `Pipeline`

#### toString

    public String toString()

Overrides:
  `toString` in class `Pipeline`